#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    string s = inf.readToken("[a-zA-Z]+", "s");
    inf.readEoln();
    ensuref(s.size() <= 100, "string length should be no more than 100");
    inf.readEof();
}